If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Add MOZ_ANDROID_MOZILLA_ONLINE feature flag to support MozillaOnline/Mozilla China

RESOLVED FIXED in Firefox 55

Status

()

Firefox for Android
Build Config & IDE Support
RESOLVED FIXED
4 months ago
4 months ago

People

(Reporter: mkaply, Assigned: mkaply)

Tracking

Trunk
Firefox 55
Points:
---

Firefox Tracking Flags

(firefox55 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Assignee)

Description

4 months ago
We're going to move the code from MozillaOnline into central so that it's easier to merge and we can have more transparency into what they are doing.

Step one is to create a build flag so we can put there changes behind it.
Comment hidden (mozreview-request)

Comment 2

4 months ago
mozreview-review
Comment on attachment 8870548 [details]
Bug 1367201 - Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code.

https://reviewboard.mozilla.org/r/142002/#review145674

This is how you achieve this, but I'd like to see what you're actually trying to achieve before granting review.
Attachment #8870548 - Flags: review?(nalexander)
(Assignee)

Comment 3

4 months ago
bug 1332437 is an example that uses this define. Adding Sync support for China.
(In reply to Mike Kaply [:mkaply] from comment #3)
> bug 1332437 is an example that uses this define. Adding Sync support for
> China.

OK.  Firefox for iOS decides this based on the device locale; see https://github.com/mozilla-mobile/firefox-ios/blob/822ee0d92f94769d8178353ce6e38067a370365f/ClientTests/MockProfile.swift#L144.

Is your intention to produce two versions of Firefox for Android, one with and one without MOZILLAONLINE, and to distribute them both via the Google Play Store?  Or via some other, China-specific distribution mechanism?

In any case, I agree that you will need a build flag of this sort for some China-specific features.

Comment 5

4 months ago
mozreview-review-reply
Comment on attachment 8870548 [details]
Bug 1367201 - Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code.

https://reviewboard.mozilla.org/r/142002/#review145674

I'm convinced that this will be needed for some China-specific features.  Roll on!

Please:
* consider MOZ_ANDROID_MOZILLA_ONLINE, since you capitalize it as two words elsewhere;
* mention the flag name in the commit message;
* explain that MozillaOnline refers to "Mozilla China" or "Firefox for Android, for China" in both the commit message and the comment in `AppConstants.java`.  (Nobody will know this otherwise.)

Comment 6

4 months ago
mozreview-review
Comment on attachment 8870548 [details]
Bug 1367201 - Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code.

https://reviewboard.mozilla.org/r/142002/#review145726
Attachment #8870548 - Flags: review+
(Assignee)

Comment 7

4 months ago
> Is your intention to produce two versions of Firefox for Android, one with and one without MOZILLAONLINE, and to distribute them both via the Google Play Store?  Or via some other, China-specific distribution mechanism?

We'll be doing a separate MozillaOnline build, so there will be standard zh-CN and MozillaOnline. They distribute via the play store in China with a different ID and via mozilla.com.cn.
Comment hidden (mozreview-request)
Comment hidden (mozreview-request)

Comment 10

4 months ago
mozreview-review
Comment on attachment 8870548 [details]
Bug 1367201 - Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code.

https://reviewboard.mozilla.org/r/142002/#review146590

Looks good!  Your try build is busted due to trychooser issues; try `-p android-api-15,android-api-15-gradle` instead.  (But I'm not worried about this patch; if it works locally, it's good.)

You should ensure that adding `export MOZ_ANDROID_MOZILLA_ONLINE=1` to your `mozconfig` really does set the flag locally, and then bombs away.

::: mobile/android/base/generate_build_config.py:39
(Diff revision 3)
>  def _defines():
>      CONFIG = defaultdict(lambda: None)
>      CONFIG.update(buildconfig.substs)
>      DEFINES = dict(buildconfig.defines)
>  
> -    for var in ('MOZ_ANDROID_ACTIVITY_STREAM'
> +    for var in ('MOZ_ANDROID_MOZILLA_ONLINE',

Maintain the alphabetical list, please.
Comment hidden (mozreview-request)

Comment 12

4 months ago
Pushed by mozilla@kaply.com:
https://hg.mozilla.org/integration/autoland/rev/87e59d65e1b2
Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code. r=nalexander
Summary: Add support for a MOZILLAONLINE define → Add MOZ_ANDROID_MOZILLA_ONLINE feature flag to support MozillaOnline/Mozilla China
Backed out for crashes in Android's robocop tests, e.g. testANRReporter:

https://hg.mozilla.org/integration/autoland/rev/540561c31679cc43a7b437ec0261ba55ac7f5eb9

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=87e59d65e1b205c72d87b696bd831b547b262991&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=102069554&repo=autoland

[task 2017-05-25T20:03:36.523943Z] 20:03:36     INFO -  TEST-START | testANRReporter
[task 2017-05-25T20:03:36.524244Z] 20:03:36     INFO -  GECKO | EventExpecter: no longer listening for Gecko:Ready
[task 2017-05-25T20:03:57.594857Z] 20:03:57     INFO -  INFO | automation.py | Application ran for: 0:00:46.047319
[task 2017-05-25T20:03:57.595195Z] 20:03:57     INFO -  INFO | zombiecheck | Reading PID log: /tmp/tmpcXHW5npidlog
[task 2017-05-25T20:03:57.882239Z] 20:03:57     INFO -  Contents of /data/anr/traces.txt:
[task 2017-05-25T20:03:57.882590Z] 20:03:57     INFO -  ----- pid 1 at 2014-01-15 18:55:51 -----
[task 2017-05-25T20:03:57.882967Z] 20:03:57     INFO -  Cmd line: org.mozilla.fennec_aurora
[task 2017-05-25T20:03:57.883662Z] 20:03:57     INFO -  JNI: CheckJNI is off; workarounds are off; pins=0; globals=397
[task 2017-05-25T20:03:57.885901Z] 20:03:57     INFO -  DALVIK THREADS:
[task 2017-05-25T20:03:57.886024Z] 20:03:57     INFO -  (mutexes: tll=0 tsl=0 tscl=0 ghl=0)
[task 2017-05-25T20:03:57.886109Z] 20:03:57     INFO -  "main" prio=5 tid=1 WAIT
[task 2017-05-25T20:03:57.886200Z] 20:03:57     INFO -    | group="main" sCount=1 dsCount=0 obj=0x41d6bc90 self=0x41d5a3c8
[task 2017-05-25T20:03:57.886291Z] 20:03:57     INFO -    | sysTid=3485 nice=0 sched=0/0 cgrp=apps handle=1074852180
[task 2017-05-25T20:03:57.886381Z] 20:03:57     INFO -    | state=S schedstat=( 0 0 0 ) utm=1065 stm=152 core=0
[task 2017-05-25T20:03:57.886462Z] 20:03:57     INFO -    at java.lang.Object.wait(Native Method)
[task 2017-05-25T20:03:57.886546Z] 20:03:57     INFO -    - waiting on <0x427ab340> (a org.mozilla.gecko.GeckoEditable$5)
[task 2017-05-25T20:03:57.886643Z] 20:03:57     INFO -    at java.lang.Object.wait(Object.java:364)
[task 2017-05-25T20:03:57.886746Z] 20:03:57     INFO -    at org.mozilla.gecko.GeckoEditable$5.run(GeckoEditable.java:746)
[task 2017-05-25T20:03:57.886838Z] 20:03:57     INFO -    at android.os.Handler.handleCallback(Handler.java:733)
[task 2017-05-25T20:03:57.887021Z] 20:03:57     INFO -    at android.os.Handler.dispatchMessage(Handler.java:95)
[task 2017-05-25T20:03:57.887126Z] 20:03:57     INFO -    at android.os.Looper.loop(Looper.java:137)
[task 2017-05-25T20:03:57.887288Z] 20:03:57     INFO -    at android.app.ActivityThread.main(ActivityThread.java:4998)
[task 2017-05-25T20:03:57.887379Z] 20:03:57     INFO -    at java.lang.reflect.Method.invokeNative(Native Method)
[task 2017-05-25T20:03:57.887501Z] 20:03:57     INFO -    at java.lang.reflect.Method.invoke(Method.java:515)
[task 2017-05-25T20:03:57.887599Z] 20:03:57     INFO -    at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:777)
[task 2017-05-25T20:03:57.887797Z] 20:03:57     INFO -    at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:593)
[task 2017-05-25T20:03:57.888129Z] 20:03:57     INFO -    at dalvik.system.NativeStart.main(Native Method)
[task 2017-05-25T20:03:57.888469Z] 20:03:57     INFO -  "Gecko" prio=5 tid=16 SUSPENDED
[task 2017-05-25T20:03:57.888788Z] 20:03:57     INFO -    | group="main" sCount=1 dsCount=0 obj=0x426e2b28 self=0x76ae92e8
[task 2017-05-25T20:03:57.889045Z] 20:03:57     INFO -    | sysTid=3541 nice=0 sched=0/0 cgrp=apps handle=1991153472
[task 2017-05-25T20:03:57.889291Z] 20:03:57     INFO -    | state=S schedstat=( 0 0 0 ) utm=1118 stm=145 core=0
[task 2017-05-25T20:03:57.889544Z] 20:03:57     INFO -    #00  pc 00000904  /system/lib/libc.so (__futex_syscall3+4294832136)
[task 2017-05-25T20:03:57.889826Z] 20:03:57     INFO -    #01  pc 0000eec4  /system/lib/libc.so (__pthread_cond_timedwait_relative+48)
[task 2017-05-25T20:03:57.890205Z] 20:03:57     INFO -    #02  pc 0000ef24  /system/lib/libc.so (__pthread_cond_timedwait+64)
[task 2017-05-25T20:03:57.890282Z] 20:03:57     INFO -    #03  pc 000536b7  /system/lib/libdvm.so
[task 2017-05-25T20:03:57.890540Z] 20:03:57     INFO -    #04  pc 00053c79  /system/lib/libdvm.so (dvmChangeStatus(Thread*, ThreadStatus)+34)
[task 2017-05-25T20:03:57.890761Z] 20:03:57     INFO -    #05  pc 00049507  /system/lib/libdvm.so
[task 2017-05-25T20:03:57.890962Z] 20:03:57     INFO -    #06  pc 0004d84b  /system/lib/libdvm.so
[task 2017-05-25T20:03:57.891262Z] 20:03:57     INFO -    #07  pc 0003f1df  /dev/ashmem/libxul.so (deleted)
[task 2017-05-25T20:03:57.891476Z] 20:03:57     INFO -    at org.mozilla.gecko.mozglue.GeckoLoader.nativeRun(Native Method)
[task 2017-05-25T20:03:57.891700Z] 20:03:57     INFO -    at org.mozilla.gecko.GeckoAppShell.runGecko(GeckoAppShell.java:384)
[task 2017-05-25T20:03:57.891914Z] 20:03:57     INFO -    at org.mozilla.gecko.GeckoThread.run(GeckoThread.java:177)
[task 2017-05-25T20:03:57.892108Z] 20:03:57     INFO -  ----- end 1 -----
[task 2017-05-25T20:03:57.892316Z] 20:03:57     INFO -  ----- pid 2 at 2013-01-25 13:27:01 -----
[task 2017-05-25T20:03:57.892508Z] 20:03:57     INFO -  Cmd line: system_server
[task 2017-05-25T20:03:57.892703Z] 20:03:57     INFO -  ----- end 2 -----
[task 2017-05-25T20:03:58.187601Z] 20:03:58     INFO -  /data/tombstones does not exist; tombstone check skipped
[task 2017-05-25T20:03:58.993908Z] 20:03:58     INFO -  mozcrash Downloading symbols from: https://queue.taskcluster.net/v1/task/W-MyTLltSFuPWPtvCjoECw/artifacts/public/build/target.crashreporter-symbols.zip
[task 2017-05-25T20:04:02.145166Z] 20:04:02     INFO -  mozcrash Copy/paste: /home/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpA2zBF6/109f742b-d9ae-3f0f-2d07-a1717df34e07.dmp /tmp/tmpvziUBx
[task 2017-05-25T20:04:09.389968Z] 20:04:09     INFO -  mozcrash Saved minidump as /home/worker/workspace/build/blobber_upload_dir/109f742b-d9ae-3f0f-2d07-a1717df34e07.dmp
[task 2017-05-25T20:04:09.390342Z] 20:04:09     INFO -  mozcrash Saved app info as /home/worker/workspace/build/blobber_upload_dir/109f742b-d9ae-3f0f-2d07-a1717df34e07.extra
[task 2017-05-25T20:04:09.392971Z] 20:04:09  WARNING -  PROCESS-CRASH | testANRReporter | application crashed [@ profiler_start]
[task 2017-05-25T20:04:09.393925Z] 20:04:09     INFO -  Crash dump filename: /tmp/tmpA2zBF6/109f742b-d9ae-3f0f-2d07-a1717df34e07.dmp
[task 2017-05-25T20:04:09.393983Z] 20:04:09     INFO -  Operating system: Android
[task 2017-05-25T20:04:09.394667Z] 20:04:09     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2017-05-25T20:04:09.394720Z] 20:04:09     INFO -  CPU: arm
[task 2017-05-25T20:04:09.394786Z] 20:04:09     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2017-05-25T20:04:09.394832Z] 20:04:09     INFO -       1 CPU
[task 2017-05-25T20:04:09.394876Z] 20:04:09     INFO -  GPU: UNKNOWN
[task 2017-05-25T20:04:09.395196Z] 20:04:09     INFO -  Crash reason:  SIGSEGV
[task 2017-05-25T20:04:09.395749Z] 20:04:09     INFO -  Crash address: 0x0
[task 2017-05-25T20:04:09.395793Z] 20:04:09     INFO -  Process uptime: not available
[task 2017-05-25T20:04:09.395829Z] 20:04:09     INFO -  Thread 13 (crashed)
[task 2017-05-25T20:04:09.397924Z] 20:04:09     INFO -   0  libxul.so!profiler_start [platform.cpp:87e59d65e1b2 : 2414 + 0x0]
[task 2017-05-25T20:04:09.398009Z] 20:04:09     INFO -       r0 = 0x00000000    r1 = 0x00000003    r2 = 0x550c1877    r3 = 0x5296a128
[task 2017-05-25T20:04:09.398091Z] 20:04:09     INFO -       r4 = 0x56302f80    r5 = 0x2a1eb1e8    r6 = 0x00000002    r7 = 0x00000064
[task 2017-05-25T20:04:09.398159Z] 20:04:09     INFO -       r8 = 0x52fffc50    r9 = 0x52c7be60   r10 = 0x2a1eb1f8   r12 = 0x5584f18c
[task 2017-05-25T20:04:09.398223Z] 20:04:09     INFO -       fp = 0x52fffc64    sp = 0x52fffc00    lr = 0x534cdc81    pc = 0x5483af6e
[task 2017-05-25T20:04:09.398280Z] 20:04:09     INFO -      Found by: given as instruction pointer in context
[task 2017-05-25T20:04:09.398354Z] 20:04:09     INFO -   1  libxul.so!mozilla::ANRReporter::RequestNativeStack [ANRReporter.cpp:87e59d65e1b2 : 35 + 0x13]
[task 2017-05-25T20:04:09.398417Z] 20:04:09     INFO -       r4 = 0x00000001    r5 = 0x2a1eb1e8    r6 = 0x00000007    r7 = 0x52c7be68
[task 2017-05-25T20:04:09.398482Z] 20:04:09     INFO -       r8 = 0x52fffc50    r9 = 0x52c7be60   r10 = 0x2a1eb1f8    fp = 0x52fffc64
[task 2017-05-25T20:04:09.398535Z] 20:04:09     INFO -       sp = 0x52fffc30    pc = 0x5419462b
[task 2017-05-25T20:04:09.398587Z] 20:04:09     INFO -      Found by: call frame info
[task 2017-05-25T20:04:09.398628Z] 20:04:09     INFO -   2  libdvm.so + 0x1dc4e
[task 2017-05-25T20:04:09.398682Z] 20:04:09     INFO -       r4 = 0x4c7a8328    r5 = 0x2a1eb1e8    r6 = 0x00000007    r7 = 0x52c7be68
[task 2017-05-25T20:04:09.398738Z] 20:04:09     INFO -       r8 = 0x52fffc50    r9 = 0x52c7be60   r10 = 0x2a1eb1f8    fp = 0x52fffc64
[task 2017-05-25T20:04:09.398781Z] 20:04:09     INFO -       sp = 0x52fffc50    pc = 0x4085bc50
[task 2017-05-25T20:04:09.398819Z] 20:04:09     INFO -      Found by: call frame info
[task 2017-05-25T20:04:09.398860Z] 20:04:09     INFO -   3  dalvik-heap (deleted) + 0x30a126
[task 2017-05-25T20:04:09.398902Z] 20:04:09     INFO -       sp = 0x52fffc60    pc = 0x417bf128
[task 2017-05-25T20:04:09.398941Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.399030Z] 20:04:09     INFO -   4  libdvm.so + 0x4dcad
[task 2017-05-25T20:04:09.399213Z] 20:04:09     INFO -       sp = 0x52fffc68    pc = 0x4088bcaf
[task 2017-05-25T20:04:09.399424Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.399625Z] 20:04:09     INFO -   5  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x59519e
[task 2017-05-25T20:04:09.399802Z] 20:04:09     INFO -       sp = 0x52fffc70    pc = 0x5256e1a0
[task 2017-05-25T20:04:09.399978Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.400176Z] 20:04:09     INFO -   6  libxul.so!mozilla::ANRReporter::RequestNativeStack(bool) + 0x56
[task 2017-05-25T20:04:09.400355Z] 20:04:09     INFO -       sp = 0x52fffc74    pc = 0x54194649
[task 2017-05-25T20:04:09.400533Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.400722Z] 20:04:09     INFO -   7  libc.so!dlmalloc [malloc.c : 4695 + 0x7]
[task 2017-05-25T20:04:09.400904Z] 20:04:09     INFO -       sp = 0x52fffc98    pc = 0x400375f7
[task 2017-05-25T20:04:09.401080Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.401247Z] 20:04:09     INFO -   8  0x6
[task 2017-05-25T20:04:09.401454Z] 20:04:09     INFO -       r4 = 0x2a1eb1e8    r5 = 0x2a1eb210    r6 = 0xffffbfff    r7 = 0x2a1eb210
[task 2017-05-25T20:04:09.401652Z] 20:04:09     INFO -       r8 = 0x408b08bd    r9 = 0x2a1eb1e8   r10 = 0x2a3cb7d0    fp = 0x00000000
[task 2017-05-25T20:04:09.401828Z] 20:04:09     INFO -       sp = 0x52fffcd0    pc = 0x00000008
[task 2017-05-25T20:04:09.402012Z] 20:04:09     INFO -      Found by: call frame info
[task 2017-05-25T20:04:09.402188Z] 20:04:09     INFO -   9  libdvm.so + 0xa9c86
[task 2017-05-25T20:04:09.402400Z] 20:04:09     INFO -       sp = 0x52fffcd4    pc = 0x408e7c88
[task 2017-05-25T20:04:09.402572Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.402744Z] 20:04:09     INFO -  10  libdvm.so + 0x78443
[task 2017-05-25T20:04:09.402928Z] 20:04:09     INFO -       sp = 0x52fffcd8    pc = 0x408b6445
[task 2017-05-25T20:04:09.403102Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.403287Z] 20:04:09     INFO -  11  dalvik-LinearAlloc (deleted) + 0x34133a
[task 2017-05-25T20:04:09.403484Z] 20:04:09     INFO -       sp = 0x52fffcf0    pc = 0x4c7a833c
[task 2017-05-25T20:04:09.403658Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.403838Z] 20:04:09     INFO -  12  dalvik-heap (deleted) + 0x30a126
[task 2017-05-25T20:04:09.404021Z] 20:04:09     INFO -       sp = 0x52fffcf8    pc = 0x417bf128
[task 2017-05-25T20:04:09.404198Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.404399Z] 20:04:09     INFO -  13  dalvik-LinearAlloc (deleted) + 0x341326
[task 2017-05-25T20:04:09.404582Z] 20:04:09     INFO -       sp = 0x52fffd04    pc = 0x4c7a8328
[task 2017-05-25T20:04:09.404758Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.404955Z] 20:04:09     INFO -  14  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x601e78
[task 2017-05-25T20:04:09.405138Z] 20:04:09     INFO -       sp = 0x52fffd08    pc = 0x525dae7a
[task 2017-05-25T20:04:09.405315Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.405489Z] 20:04:09     INFO -  15  libdvm.so + 0x6b0b1
[task 2017-05-25T20:04:09.405674Z] 20:04:09     INFO -       sp = 0x52fffd18    pc = 0x408a90b3
[task 2017-05-25T20:04:09.405848Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.406070Z] 20:04:09     INFO -  16  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x601e78
[task 2017-05-25T20:04:09.406249Z] 20:04:09     INFO -       sp = 0x52fffd1c    pc = 0x525dae7a
[task 2017-05-25T20:04:09.406425Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.406623Z] 20:04:09     INFO -  17  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x11c9ca
[task 2017-05-25T20:04:09.406801Z] 20:04:09     INFO -       sp = 0x52fffd20    pc = 0x520f59cc
[task 2017-05-25T20:04:09.406977Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.407159Z] 20:04:09     INFO -  18  dalvik-heap (deleted) + 0x30a126
[task 2017-05-25T20:04:09.407342Z] 20:04:09     INFO -       sp = 0x52fffd24    pc = 0x417bf128
[task 2017-05-25T20:04:09.407518Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.407717Z] 20:04:09     INFO -  19  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x601e78
[task 2017-05-25T20:04:09.407894Z] 20:04:09     INFO -       sp = 0x52fffd28    pc = 0x525dae7a
[task 2017-05-25T20:04:09.408070Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.408288Z] 20:04:09     INFO -  20  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x728ffe
[task 2017-05-25T20:04:09.408527Z] 20:04:09     INFO -       sp = 0x52fffd2c    pc = 0x52702000
[task 2017-05-25T20:04:09.408704Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.408877Z] 20:04:09     INFO -  21  libdvm.so + 0x6b519
[task 2017-05-25T20:04:09.409064Z] 20:04:09     INFO -       sp = 0x52fffd40    pc = 0x408a951b
[task 2017-05-25T20:04:09.409239Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.409438Z] 20:04:09     INFO -  22  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x601e78
[task 2017-05-25T20:04:09.409617Z] 20:04:09     INFO -       sp = 0x52fffd48    pc = 0x525dae7a
[task 2017-05-25T20:04:09.409800Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.410036Z] 20:04:09     INFO -  23  libdvm.so + 0x6bb0f
[task 2017-05-25T20:04:09.410267Z] 20:04:09     INFO -       sp = 0x52fffd50    pc = 0x408a9b11
[task 2017-05-25T20:04:09.410457Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.410660Z] 20:04:09     INFO -  24  libdvm.so + 0xae19e
[task 2017-05-25T20:04:09.410877Z] 20:04:09     INFO -       sp = 0x52fffd54    pc = 0x408ec1a0
[task 2017-05-25T20:04:09.411057Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.411312Z] 20:04:09     INFO -  25  dalvik-LinearAlloc (deleted) + 0x341326
[task 2017-05-25T20:04:09.411528Z] 20:04:09     INFO -       sp = 0x52fffd60    pc = 0x4c7a8328
[task 2017-05-25T20:04:09.411671Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.411850Z] 20:04:09     INFO -  26  dalvik-heap (deleted) + 0x30a126
[task 2017-05-25T20:04:09.412028Z] 20:04:09     INFO -       sp = 0x52fffd6c    pc = 0x417bf128
[task 2017-05-25T20:04:09.412199Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.412370Z] 20:04:09     INFO -  27  libdvm.so + 0x1ddbe
[task 2017-05-25T20:04:09.412552Z] 20:04:09     INFO -       sp = 0x52fffd70    pc = 0x4085bdc0
[task 2017-05-25T20:04:09.412723Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.412896Z] 20:04:09     INFO -  28  libdvm.so + 0x385e3
[task 2017-05-25T20:04:09.413095Z] 20:04:09     INFO -       sp = 0x52fffd80    pc = 0x408765e5
[task 2017-05-25T20:04:09.413309Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.413506Z] 20:04:09     INFO -  29  dalvik-LinearAlloc (deleted) + 0x341326
[task 2017-05-25T20:04:09.413688Z] 20:04:09     INFO -       sp = 0x52fffd8c    pc = 0x4c7a8328
[task 2017-05-25T20:04:09.413859Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.414070Z] 20:04:09     INFO -  30  data@app@org.mozilla.fennec_aurora-1.apk@classes.dex + 0x3647be
[task 2017-05-25T20:04:09.414264Z] 20:04:09     INFO -       sp = 0x52fffd90    pc = 0x5233d7c0
[task 2017-05-25T20:04:09.414439Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.414620Z] 20:04:09     INFO -  31  dalvik-heap (deleted) + 0x30a126
[task 2017-05-25T20:04:09.414803Z] 20:04:09     INFO -       sp = 0x52fffd9c    pc = 0x417bf128
[task 2017-05-25T20:04:09.414976Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.415150Z] 20:04:09     INFO -  32  libdvm.so + 0x27062
[task 2017-05-25T20:04:09.415333Z] 20:04:09     INFO -       sp = 0x52fffda0    pc = 0x40865064
[task 2017-05-25T20:04:09.415507Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.415680Z] 20:04:09     INFO -  33  libdvm.so + 0x2de9a
[task 2017-05-25T20:04:09.415862Z] 20:04:09     INFO -       sp = 0x52fffdac    pc = 0x4086be9c
[task 2017-05-25T20:04:09.416044Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.416245Z] 20:04:09     INFO -  34  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2017-05-25T20:04:09.416445Z] 20:04:09     INFO -       sp = 0x52fffdc0    pc = 0x4c46cd40
[task 2017-05-25T20:04:09.416618Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.416800Z] 20:04:09     INFO -  35  dalvik-heap (deleted) + 0x30a21e
[task 2017-05-25T20:04:09.416980Z] 20:04:09     INFO -       sp = 0x52fffdc4    pc = 0x417bf220
[task 2017-05-25T20:04:09.417154Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.417355Z] 20:04:09     INFO -  36  libdvm.so + 0x2b582
[task 2017-05-25T20:04:09.417542Z] 20:04:09     INFO -       sp = 0x52fffdc8    pc = 0x40869584
[task 2017-05-25T20:04:09.417717Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.417888Z] 20:04:09     INFO -  37  core.odex + 0x22fa50
[task 2017-05-25T20:04:09.418103Z] 20:04:09     INFO -       sp = 0x52fffe40    pc = 0x4d697a52
[task 2017-05-25T20:04:09.418278Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.418466Z] 20:04:09     INFO -  38  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2017-05-25T20:04:09.418651Z] 20:04:09     INFO -       sp = 0x52fffe4c    pc = 0x4c46cd40
[task 2017-05-25T20:04:09.418823Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.418994Z] 20:04:09     INFO -  39  libdvm.so + 0x5fcbf
[task 2017-05-25T20:04:09.419176Z] 20:04:09     INFO -       sp = 0x52fffe58    pc = 0x4089dcc1
[task 2017-05-25T20:04:09.419349Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.419546Z] 20:04:09     INFO -  40  dalvik-LinearAlloc (deleted) + 0x5d3e
[task 2017-05-25T20:04:09.419729Z] 20:04:09     INFO -       sp = 0x52fffe60    pc = 0x4c46cd40
[task 2017-05-25T20:04:09.419897Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.420078Z] 20:04:09     INFO -  41  dalvik-heap (deleted) + 0x30a21e
[task 2017-05-25T20:04:09.420255Z] 20:04:09     INFO -       sp = 0x52fffe64    pc = 0x417bf220
[task 2017-05-25T20:04:09.420425Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.420619Z] 20:04:09     INFO -  42  libdvm.so + 0xae19e
[task 2017-05-25T20:04:09.420805Z] 20:04:09     INFO -       sp = 0x52fffe6c    pc = 0x408ec1a0
[task 2017-05-25T20:04:09.420983Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.421156Z] 20:04:09     INFO -  43  libdvm.so + 0xae4aa
[task 2017-05-25T20:04:09.421338Z] 20:04:09     INFO -       sp = 0x52fffe74    pc = 0x408ec4ac
[task 2017-05-25T20:04:09.421512Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.421684Z] 20:04:09     INFO -  44  libdvm.so + 0xae4a6
[task 2017-05-25T20:04:09.421866Z] 20:04:09     INFO -       sp = 0x52fffe78    pc = 0x408ec4a8
[task 2017-05-25T20:04:09.422051Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.422222Z] 20:04:09     INFO -  45  libdvm.so + 0x5fce9
[task 2017-05-25T20:04:09.422405Z] 20:04:09     INFO -       sp = 0x52fffe88    pc = 0x4089dceb
[task 2017-05-25T20:04:09.422579Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.422752Z] 20:04:09     INFO -  46  libdvm.so + 0x54a71
[task 2017-05-25T20:04:09.422935Z] 20:04:09     INFO -       sp = 0x52fffea4    pc = 0x40892a73
[task 2017-05-25T20:04:09.423109Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.423279Z] 20:04:09     INFO -  47  libdvm.so + 0x549cf
[task 2017-05-25T20:04:09.423466Z] 20:04:09     INFO -       sp = 0x52fffedc    pc = 0x408929d1
[task 2017-05-25T20:04:09.423656Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.423847Z] 20:04:09     INFO -  48  libc.so!__thread_entry [pthread_create.cpp : 92 + 0x6]
[task 2017-05-25T20:04:09.424026Z] 20:04:09     INFO -       sp = 0x52fffee8    pc = 0x40033a5c
[task 2017-05-25T20:04:09.424201Z] 20:04:09     INFO -      Found by: stack scanning
[task 2017-05-25T20:04:09.424393Z] 20:04:09     INFO -  49  libc.so!pthread_create [pthread_create.cpp : 201 + 0x16]
[task 2017-05-25T20:04:09.424593Z] 20:04:09     INFO -       r3 = 0x2a1eb1e8    r4 = 0x00000002    r5 = 0x00100000    r6 = 0x2a1eb1e8
[task 2017-05-25T20:04:09.424777Z] 20:04:09     INFO -       r7 = 0x00000078    sp = 0x52ffff00    pc = 0x40033bd8
[task 2017-05-25T20:04:09.424952Z] 20:04:09     INFO -      Found by: call frame info
Flags: needinfo?(mozilla)
mkaply: I think you're witnessing some infra or other error; these crashes are almost certainly not related to this patch.  Push to try and reland eventually, I guess.
(Assignee)

Comment 15

4 months ago
I just did try runs with this patch and they worked fine:

https://treeherder.mozilla.org/#/jobs?repo=try&revision=46ec3e5d4dce781481a87ac6963ffa32357deae6

I think whatever happened here was definitely a build tools hiccup...
Flags: needinfo?(mozilla)
Comment hidden (mozreview-request)

Comment 17

4 months ago
Pushed by mozilla@kaply.com:
https://hg.mozilla.org/integration/autoland/rev/80c6e6358350
Add MOZ_ANDROID_MOZILLA_ONLINE build flag to support MozillaOnline (Mozilla China) custom code. r=nalexander
https://hg.mozilla.org/mozilla-central/rev/80c6e6358350
Status: NEW → RESOLVED
Last Resolved: 4 months ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55
Assignee: nobody → mozilla
You need to log in before you can comment on or make changes to this bug.